var isDHTML  = 0;
var isID     = 0;
var isAll    = 0;
var isLayers = 0;
var isNS     = 0;

if (document.getElementById)
{
  isID    = 1;
  isDHTML = 1;
}else
{
  if (document.all)
  {
    isAll   = 1;
    isDHTML = 1;
  }else
  {
    browserVersion = parseInt(navigator.appVersion);
    if ((navigator.appName.indexOf('Netscape') != -1) &&
        (browserVersion == 4))
    {
      isNS     = 1;
      isLayers = 1;
      isDHTML  = 1;
    }// End if ((navigator.appName.indexOf('Netscape') != -1) &&
  }// End if (document.all)
}// End if (document.getElementById)


/**
 *  findDOM
 */
function findDOM(objectID,withStyle)
{
  if (withStyle == 1)
  {
	  if (isID)
    {
      return (document.getElementById(objectID).style);
    }else
    {
		  if (isAll)
      {
        return (document.all[objectID].style);
      }else
      {
			  if (isLayers)
        {
          return (document.layers[objectID]);
        }// End if (isLayers)
		  }; // End if (isAll)
    }// End if (isID)
  }else
  {
		if (isID)
    {
      return (document.getElementById(objectID));
    }else
    {
		  if (isAll)
      {
        return (document.all[objectID]);
      }else
      {
			  if (isLayers)
        {
          return (document.layers[objectID]);
        }// End if (isLayers)
		  }; // End if (isAll)
    }// End if (isID)
	}// End if (withStyle == 1)
}// End function findDOM(objectID,withStyle)


